package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterConsumption;
import com.lightinit.hsdatashow.entity.StWaterConsumptionExample;
import java.util.List;

import com.lightinit.hsdatashow.model.topic.water.YearMonthDayModel;
import com.lightinit.hsdatashow.model.admin.WaterqualityNameAndValueModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StWaterConsumptionMapper {
    long countByExample(StWaterConsumptionExample example);

    int deleteByExample(StWaterConsumptionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterConsumption record);

    int insertSelective(StWaterConsumption record);

    List<StWaterConsumption> selectByExample(StWaterConsumptionExample example);

    StWaterConsumption selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterConsumption record, @Param("example") StWaterConsumptionExample example);

    int updateByExample(@Param("record") StWaterConsumption record, @Param("example") StWaterConsumptionExample example);

    int updateByPrimaryKeySelective(StWaterConsumption record);

    int updateByPrimaryKey(StWaterConsumption record);

    List<WaterqualityNameAndValueModel> getGequYongshui();

    List<StWaterConsumption> getTotalDay(@Param("year") int year,@Param("month") int month,@Param("type") String type,@Param("regionName")String regionName);

    List<StWaterConsumption> getTotalMonth(@Param("year")int year,@Param("type") String type,@Param("regionName") String regionName);

    List<StWaterConsumption> getTotalYear(@Param("type") String type,@Param("regionName") String regionName);

    List<StWaterConsumption> getYesterday(@Param("year") int year,@Param("month") int month,@Param("day") int day,@Param("regionName") String regionName);

    List<StWaterConsumption> getLastMonth(@Param("year") int year,@Param("month") int month,@Param("regionName") String regionName);

    List<StWaterConsumption> getMonth(@Param("year") int year,@Param("month") int month,@Param("regionName") String regionName);

    List<StWaterConsumption> getYear(@Param("year") int year,@Param("regionName") String regionName);
}